#!/usr/bin/env node

const program = require('commander');
var generator = require('./lib/generator');

program
  .version(require('./package.json').version)
  .usage('[options] [project name]')
  .arguments('<projectname>')
  .option('-n, --name', 'The Project name')
  .option('-p, --python', 'Setup a python project instead of node project')
  .parse(process.argv);


var structure = program.python ? 'python' : 'node'

var projectname = program.args[0]

if(!projectname) {
  program.help();
}else {
  generator(projectname, structure);
}
