const Promise = require("bluebird"),
    fs = Promise.promisifyAll(require('fs-extra')),
    Message = require('./message');

const path = require('path');
var gitCreator = require('./gitCreator');
var structureDir = path.join(__dirname, '../structure/');

function generator(project, structure){
  return fs.exists(project, function(exists) {
    if (exists) {
      return Message.error(`dictionary ${project} already exists`);
    }else {
      fs.copyAsync(`${structureDir}${structure}`, project, {clobber: true})
        .then(function(err){
          if (err) return Message.error(err)
          gitCreator(project);
        });
    }
  })
  // return fs.copyAsync(`${structureDir}${structure}`, project, {clobber: true})
  //   .then(function(err){
  //
  //     if (err) return console.error(err)
  //     gitCreator(project);
  //   });
}

module.exports = generator;
